=== debian/changelog ===
hubzero-ellie-repo (2.1.0-1+deb8) unstable; urgency=low

  * Initial release. 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 29 Jun 2018 13:32:02 -0400
