=== debian/control ===
Source: hubzero-ellie-repo
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-ellie-repo
Architecture: amd64 i386
Conflicts: hubzero-julian-repo, hubzero-shira-repo, hubzero-diego-repo, hubzero-buck-repo, hubzero-manny-repo, hubzero-lenny-repo, hubzero-stretch-repo
Replaces: hubzero-julian-repo, hubzero-shira-repo, hubzero-diego-repo, hubzero-buck-repo, hubzero-manny-repo, hubzero-lenny-repo, hubzero-stretch-repo
Description: HUBzero Repository 2.0/2.1 (Ellie) configuration
 Installs HUBzero Repository 2.0/2.1 (Ellie) configuration
